InterceptorChain.State (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Enum InterceptorChain.State

- java.lang.Object
- - java.lang.Enum<InterceptorChain.State>
  - - org.apache.cxf.interceptor.InterceptorChain.State

- All Implemented Interfaces:
    `Serializable`, `Comparable<InterceptorChain.State>`
  Enclosing interface:
    InterceptorChain

      public static enum InterceptorChain.State
      extends Enum<InterceptorChain.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABORTED` |
    `COMPLETE` |
    `EXECUTING` |
    `PAUSED` |
    `SUSPENDED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static InterceptorChain.State` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static InterceptorChain.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAUSED

          public static final InterceptorChain.State PAUSED

    - #### SUSPENDED

          public static final InterceptorChain.State SUSPENDED

    - #### EXECUTING

          public static final InterceptorChain.State EXECUTING

    - #### COMPLETE

          public static final InterceptorChain.State COMPLETE

    - #### ABORTED

          public static final InterceptorChain.State ABORTED

  - ### Method Detail

    - #### values

          public static InterceptorChain.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InterceptorChain.State c : InterceptorChain.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InterceptorChain.State valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null